VERSION 5.00
Begin VB.Form frmChooseSheet 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Choose Sheet"
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   4425
   ControlBox      =   0   'False
   Icon            =   "frmChooseSheet.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   4425
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   3360
      TabIndex        =   2
      Top             =   600
      Width           =   975
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "&Open"
      Height          =   375
      Left            =   3360
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
   Begin VB.ListBox lstSheets 
      Height          =   2010
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3135
   End
End
Attribute VB_Name = "frmChooseSheet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private m_strExcelFileName      As String ' Holds the Excel filename
Private m_strXMLFileName        As String ' Holds the XML filename

Private Sub cmdCancel_Click()
    ' Close the window and cancel export
    Unload frmChooseSheet
End Sub

Private Sub cmdOpen_Click()

On Error GoTo cmdOpen_ClickErr

' Here we export the xml file
If ExportToXML(m_strXMLFileName, lstSheets.Text) Then
    MsgBox m_strXMLFileName & " was exported successfully.", vbInformation, "Export to XML"
Else
    Beep
    MsgBox m_strXMLFileName & " was NOT exported.", vbCritical, "Export to XML"
End If

cmdOpen_ClickExit:
    Unload frmChooseSheet
    Exit Sub

cmdOpen_ClickErr:
    ErrHandler
    Resume cmdOpen_ClickExit
End Sub

Private Sub Form_Activate()
    If lstSheets.ListCount = 0 Then
        cmdOpen.Enabled = False
    Else
        cmdOpen.Enabled = True
    End If
End Sub

Private Sub Form_Load()

On Error GoTo Form_LoadErr

Dim astrSheets()    As String
Dim intLoop         As Integer

' Here we validate if the Excel file name is present
If m_strExcelFileName = vbNullString Then
    MsgBox "Unable to open Sheets in Excel file. " & _
            "Please make sure you have selected a " & _
            "vaild excel file.", vbExclamation
    Unload frmChooseSheet
    Exit Sub
End If

' Clear listbox just in case
lstSheets.Clear
' Here we read in the Excel schmea for Sheets
astrSheets = ReadSchema(m_strExcelFileName)

' Loop through the array and apply the items
' to the listbox
For intLoop = 1 To UBound(astrSheets)
    lstSheets.AddItem astrSheets(intLoop)
Next intLoop

Form_LoadExit:
    Exit Sub

Form_LoadErr:
    ErrHandler
End Sub

Public Property Let ExcelFileName(ByVal str_ExcelFileName As String)
    ' Used to obtain the Excel filename
    m_strExcelFileName = str_ExcelFileName
End Property

Public Property Let XMLFileName(ByVal str_XMLFileName As String)
    ' Used to obtain the MXL filename
    m_strXMLFileName = str_XMLFileName
End Property

